<div class="card">
    <div class="card-body">
        <h4>Información sobre tus coches</h4>
        <div *ngIf="cochesUsuario.length > 0 && !nuevoCoche">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12 col-lg-12 mb-3 mb-md-4 pl-0" *ngFor="let coche of cochesUsuario">
                        <div class="border rounded bg-white px-4 pb-4 pt-2">
                            <div class="d-flex justify-content-between align-items-center mb-5 mt-3">
                                <div *ngIf="!coche.foto">
                                    <img src="assets/img/ilus/vehicle.png" alt="Foto" class="avatar avatar-lg">
                                    <input style="display: block;" type="file" accept="image/*" id="{{coche.nroChapaAuto}}" (change)="changeListenerPic($event)">
                                </div>

                                <img *ngIf="coche.foto" src="{{coche.foto}}" alt="Foto" class="avatar avatar-lg">
                                <!-- <img src="https://http2.mlstatic.com/D_NQ_NP_804273-MCO31951082183_082019-O.webp" alt="Avatar" class="avatar avatar-lg"> -->
                                <div class="dropdown">
                                    <button class="btn btn-sm btn-primary rounded-circle dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-white" data-src="assets/img/icons/interface/icon-more-horizontal.svg" data-inject-svg="data-inject-svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                                        <path d="M12 13C12.5523 13 13 12.5523 13 12C13 11.4477 12.5523 11 12 11C11.4477 11 11 11.4477 11 12C11 12.5523 11.4477 13 12 13Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                        <path d="M19 13C19.5523 13 20 12.5523 20 12C20 11.4477 19.5523 11 19 11C18.4477 11 18 11.4477 18 12C18 12.5523 18.4477 13 19 13Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                        <path d="M5 13C5.55228 13 6 12.5523 6 12C6 11.4477 5.55228 11 5 11C4.44772 11 4 11.4477 4 12C4 12.5523 4.44772 13 5 13Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                    </svg>
                                  </button>
                                    <div class="dropdown-menu dropdown-menu-right" x-placement="bottom-end" style="position: absolute; transform: translate3d(-124px, 36px, 0px); top: 0px; left: 0px; will-change: transform;">
                                        <a class="dropdown-item" style="cursor: pointer">Editar</a>
                                        <a *ngIf="coche.activo" class="dropdown-item" style="cursor: pointer" (click)="desactivar(coche)">Desactivar</a>
                                        <a *ngIf="!coche.activo" class="dropdown-item" style="cursor: pointer" (click)="activar(coche)">Activar</a>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex justify-content-between align-items-end">
                                <div>
                                    <div class="h6 mb-2">{{coche.marca}} {{coche.modelo}} {{coche.colorAuto}} {{coche.anho}}</div>
                                    <div class="text-muted">{{coche.nroChapaAuto}}</div>
                                    <h5 *ngIf="coche.activo" class="mt-3 color-primary">
                                        <i class="fas fa-check-circle mr-3"></i>Activo
                                    </h5>
                                    <h5 *ngIf="!coche.activo" class="mt-3" style="color: red">
                                        <i class="fas fa-times-circle mr-3"></i>Inactivo
                                    </h5>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mr-2 mb-2 mt-2">
                        <a style="cursor: pointer" class="btn btn-primary" (click)="newCoche()">
                            <div class="d-flex align-items-center">
                                <span style="color: white">Registrar un coche</span>&nbsp;&nbsp;
                                <i style="color: white" class="fas fa-plus"></i>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div *ngIf="cochesUsuario.length == 0 && !nuevoCoche" style="text-align: center">
            <img src="assets/img/ilus/no-car-1.png" style="width: 80px;" alt="no-coches">
            <p class="lead mt-2">No encontramos ningún coche registrado con tu usuario</p>
            <div class="mr-2 mb-2 mt-2">
                <a style="cursor: pointer" class="btn btn-primary" (click)="newCoche()">
                    <div class="d-flex align-items-center">
                        <span style="color: white">Registrar un coche</span>&nbsp;&nbsp;
                        <i style="color: white" class="fas fa-plus"></i>
                    </div>
                </a>
            </div>
        </div>
        <form *ngIf="nuevoCoche">
            <a (click)="cancelar()" class="ml-2" style="color: #009b72; cursor: pointer"><i class="fas fa-arrow-left" style="color: #192D35"></i> &nbsp;&nbsp;Cancelar</a>
            <div data-aos="zoom-in" data-aos-delay="150" *ngIf="seleccionMarca" class="form-row mt-4" class="animated fadeIn fast">
                <div class="form-group coche-marca">
                    <label for="contact-name" style="font-size: 1.3rem;">¿Cuál es la marca de tu coche?</label>
                    <div class="input-group mb-3 mt-2">
                        <div class="input-group-prepend">
                            <span class="input-group-text bg-primary border-primary">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon icon-sm bg-white" data-src="assets/img/icons/interface/icon-search.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                                        <path d="M11 19C15.4183 19 19 15.4183 19 11C19 6.58172 15.4183 3 11 3C6.58172 3 3 6.58172 3 11C3 15.4183 6.58172 19 11 19Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                        <path d="M21 21L16.65 16.65" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                    </svg>
                                </span>
                        </div>
                        <input #myInput [(ngModel)]="filtroMarca" (input)="filterItem(myInput.value)" name="contact-name" class="form-control" id="contact-name" placeholder="Buscar" type="search">
                    </div>
                    <!-- <div class="lead card-selection" *ngFor="let marca of marcasFrec" [hidden]="!showFrecuentes">
                        <div class="card mb-1 mb-md-1" (click)="setMarca(marca)">
                            <a role="button" aria-expanded="false" class="p-3 p-md-4 enlace-style">
                                <div class="d-flex justify-content-between align-items-center">
                                    <h6 class="mb-0 mr-2 text-uppercase">{{marca.name}}</h6>
                                </div>
                            </a>
                        </div>
                    </div> -->
                    <div class="lead card-selection" *ngFor="let marca of filteredItems" [hidden]="showFrecuentes">
                        <div class="card mb-1 mb-md-1" (click)="setMarca(marca)">
                            <a role="button" aria-expanded="false" class="p-3 p-md-4 enlace-style">
                                <div class="d-flex justify-content-between align-items-center">
                                    <h6 class="mb-0 mr-2 text-uppercase">{{marca.descripcion}}</h6>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div data-aos="zoom-in" data-aos-delay="150" *ngIf="seleccionModelo" class="animated fadeIn fast">
                <div class="form-group coche-marca">
                    <label for="contact-name" style="font-size: 1.3rem;">¿Cuál es el modelo de tu coche?</label>
                    <div class="input-group mb-3 mt-2">
                        <div class="input-group-prepend">
                            <span class="input-group-text bg-primary border-primary">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon icon-sm bg-white" data-src="assets/img/icons/interface/icon-search.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                                        <path d="M11 19C15.4183 19 19 15.4183 19 11C19 6.58172 15.4183 3 11 3C6.58172 3 3 6.58172 3 11C3 15.4183 6.58172 19 11 19Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                        <path d="M21 21L16.65 16.65" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                    </svg>
                                </span>
                        </div>
                        <input #myInput [(ngModel)]="nombreModelo" name="modelo-name" class="form-control" id="modelo-name" placeholder="Ingresa el modelo de tu coche" type="search">
                    </div>
                    <button class="btn btn-outline-primary" (click)="setModelo()" [disabled]="(nombreModelo == '')">
                        <div class="d-flex align-items-center">
                            <span>Continuar</span>
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-primary" data-src="assets/img/icons/interface/icon-arrow-right.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                                <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                            </svg>
                        </div>
                    </button>
                </div>
            </div>
            <div data-aos="zoom-in" data-aos-delay="150" *ngIf="seleccionColor" class="animated fadeIn fast">
                <div class="form-group coche-marca">
                    <label for="contact-name mb-2" style="font-size: 1.3rem;">¿De qué color es?</label>
                    <div class="lead card-selection" *ngFor="let color of listaColores" (click)="setColor(color)">

                        <div class="card mb-1 mb-md-1" (click)="setColor(color)">
                            <a style="display: flex;" role="button" aria-expanded="false" class="p-3 p-md-4 enlace-style">
                                <div class="mr-3">
                                    <div class="avatar avatar-xs" style="border: 1px solid !important" [ngStyle]="{'border-color': color.borde, 'background-color': color.codigo}"></div>
                                </div>
                                <div class="d-flex justify-content-between align-items-center">
                                    <h6 class="mb-0 text-uppercase">{{color.color}}</h6>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div data-aos="zoom-in" data-aos-delay="150" *ngIf="chapaAnho" class="animated fadeIn fast">
                <div class="form-group coche-marca">
                    <label for="contact-name" style="font-size: 1.3rem;">¿De qué año es y cuál es su chapa?</label>
                    <label for="">A los pasajeros les gusta saber si tu coche es relativamente nuevo o si se trata de un modelo más clásico.</label>
                    <div class="form-group mt-3">
                        <label for="anho">Año</label>
                        <input [(ngModel)]="anho" name="anho" class="form-control" placeholder="Escribe el año (AAAA)" type="text">
                    </div>
                    <div class="form-group">
                        <label for="chapa">Chapa</label>
                        <input [(ngModel)]="numeroChapa" name="chapa" class="form-control" placeholder="Ingresa la chapa" type="text">
                        <p class="mensaje_rutaInvalid" id="chapa_invalid" style="display: none; font-size: 1rem;">{{mensajeChapa}}</p>
                    </div>
                    <button class="btn btn-outline-primary" (click)="setChapa()" [disabled]="isDisabled()">
                        <div class="d-flex align-items-center">
                            <span>Continuar</span>
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-primary" data-src="assets/img/icons/interface/icon-arrow-right.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                                <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                            </svg>
                        </div>
                    </button>
                </div>
            </div>
            <div data-aos="zoom-in" data-aos-delay="150" *ngIf="fotoCoche" class="animated fadeIn fast">
                <div class="form-group coche-marca">
                    <label for="contact-name" style="font-size: 1.3rem;">Sube una foto de tu coche</label>
                    <div class="custom-file mb-3 mt-2">
                        <input type="file" accept="image/*" (change)="changeListener($event)" class="custom-file-input" id="customFile">
                        <label class="custom-file-label" id="label-foto-auto" for="customFile">Seleccionar foto</label>
                    </div>
                    <div class="mr-2 mb-2 mt-2" style="display: flex;justify-content: center;">
                        <a (click)="omitirFoto()" style="padding: 12px 30px;" class="enlace-later">Hacerlo más tarde </a>
                        <button class="btn btn-outline-primary" (click)="registrarCoche()" [disabled]="datosCoche.foto == ''">
                            <div class="d-flex align-items-center">
                                <span>Registrar</span>
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="injected-svg icon bg-primary" data-src="assets/img/icons/interface/icon-arrow-right.svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                                    <path d="M12 5L19 12L12 19M5 12H18H5Z" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                                </svg>
                            </div>
                        </button>
                    </div>

                </div>
            </div>
            <div data-aos="zoom-in" data-aos-delay="150" *ngIf="confirmacionExito">
                <div class="coche-marca">
                    <img src="assets/img/ilus/vehicle.png" style="width: 80px;" alt="">
                    <h5 class="mt-5">¡Coche registrado correctamente!</h5>
                    <button class="btn btn-primary mt-3" (click)="aceptar()">
                        <div class="d-flex align-items-center">
                            <span>Aceptar</span>
                        </div>
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>